Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class GroovyPageTagBody

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.grails.web.taglib.GroovyPageTagBody

    @SuppressWarnings("rawtypes")
    public class GroovyPageTagBody
    extends groovy.lang.Closure

Represents the body of a tag and captures its output returning the result when invoked.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary

Fields inherited from class groovy.lang.Closure
OWNER_FIRST, DELEGATE_FIRST, OWNER_ONLY, DELEGATE_ONLY, TO_SELF, DONE, SKIP, IDENTITY

Constructor Summary
`GroovyPageTagBody(java.lang.Object owner, GrailsWebRequest webRequest, groovy.lang.Closure bodyClosure)`
`GroovyPageTagBody(java.lang.Object owner, GrailsWebRequest webRequest, groovy.lang.Closure bodyClosure, boolean changeBodyClosureOwner)`

Method Summary
`java.lang.Object` | `call()`
`java.lang.Object` | `call(java.lang.Object... args)`
`java.lang.Object` | `call(java.lang.Object arguments)`
`java.lang.Object` | `doCall()`
`java.lang.Object` | `doCall(java.lang.Object arguments)`
`groovy.lang.Closure` | `getBodyClosure()`
`int` | `getMaximumNumberOfParameters()`
`java.lang.Class[]` | `getParameterTypes()`

Methods inherited from class groovy.lang.Closure
groovy.lang.Closure#run(), groovy.lang.Closure#setProperty(java.lang.String, java.lang.Object), groovy.lang.Closure#getProperty(java.lang.String), groovy.lang.Closure#clone(), groovy.lang.Closure#getParameterTypes(), groovy.lang.Closure#setDelegate(java.lang.Object), groovy.lang.Closure#getOwner(), groovy.lang.Closure#leftShift(java.lang.Object), groovy.lang.Closure#leftShift(groovy.lang.Closure), groovy.lang.Closure#rightShift(groovy.lang.Closure), groovy.lang.Closure#call(), groovy.lang.Closure#call([Ljava.lang.Object;), groovy.lang.Closure#call(java.lang.Object), groovy.lang.Closure#setResolveStrategy(int), groovy.lang.Closure#getMaximumNumberOfParameters(), groovy.lang.Closure#getResolveStrategy(), groovy.lang.Closure#getThisObject(), groovy.lang.Closure#getDelegate(), groovy.lang.Closure#getDirective(), groovy.lang.Closure#setDirective(int), groovy.lang.Closure#isCase(java.lang.Object), groovy.lang.Closure#asWritable(), groovy.lang.Closure#curry([Ljava.lang.Object;), groovy.lang.Closure#curry(java.lang.Object), groovy.lang.Closure#rcurry([Ljava.lang.Object;), groovy.lang.Closure#rcurry(java.lang.Object), groovy.lang.Closure#ncurry(int, java.lang.Object), groovy.lang.Closure#ncurry(int, [Ljava.lang.Object;), groovy.lang.Closure#memoize(), groovy.lang.Closure#memoizeAtMost(int), groovy.lang.Closure#memoizeAtLeast(int), groovy.lang.Closure#memoizeBetween(int, int), groovy.lang.Closure#trampoline([Ljava.lang.Object;), groovy.lang.Closure#trampoline(), groovy.lang.Closure#dehydrate(), groovy.lang.Closure#rehydrate(java.lang.Object, java.lang.Object, java.lang.Object), groovy.lang.Closure#getMetaClass(), groovy.lang.Closure#setMetaClass(groovy.lang.MetaClass), groovy.lang.Closure#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Closure#wait(), groovy.lang.Closure#wait(long), groovy.lang.Closure#wait(long, int), groovy.lang.Closure#equals(java.lang.Object), groovy.lang.Closure#toString(), groovy.lang.Closure#hashCode(), groovy.lang.Closure#getClass(), groovy.lang.Closure#notify(), groovy.lang.Closure#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### GroovyPageTagBody

    public GroovyPageTagBody(java.lang.Object owner, GrailsWebRequest webRequest, groovy.lang.Closure bodyClosure)

### GroovyPageTagBody

    public GroovyPageTagBody(java.lang.Object owner, GrailsWebRequest webRequest, groovy.lang.Closure bodyClosure, boolean changeBodyClosureOwner)

Method Detail

### call

    }
    public java.lang.Object call()

### call

    }
    public java.lang.Object call(java.lang.Object... args)

### call

    }
    public java.lang.Object call(java.lang.Object arguments)

### doCall

    public java.lang.Object doCall()

### doCall

    public java.lang.Object doCall(java.lang.Object arguments)

### getBodyClosure

    public groovy.lang.Closure getBodyClosure()

### getMaximumNumberOfParameters

    public int getMaximumNumberOfParameters()

### getParameterTypes

    public java.lang.Class[] getParameterTypes()

Groovy Documentation